com.tibco.bpm.service.connector

## Class EventCollectorReportService

- java.lang.Object
- - com.tibco.bpm.service.connector.EventCollectorReportService

- All Implemented Interfaces:
    EventCollectorReportService

      public class EventCollectorReportService
      extends java.lang.Object
      implements EventCollectorReportService

  Provides access to the EventCollectorReportService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    3.0.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.CaseAudit` | `getCaseAudit(com.tibco.n2.ec.api.base.Case cse, com.tibco.n2.ec.api.base.CaseAuditReportOptions options)` Get the audit trail for the references Case
    `com.tibco.n2.ec.api.base.ChartResult` | `getChart(com.tibco.n2.ec.api.base.ChartQuery chartQuery, com.tibco.n2.ec.api.base.ChartOptions chartOptions)` Get Chart information
    `com.tibco.n2.ec.api.base.ChartDataResult` | `getChartData(com.tibco.n2.ec.api.base.ChartDataQuery query, com.tibco.n2.ec.api.base.ChartDataOptions options)` Get Chart Data information
    `com.tibco.n2.ec.api.base.CommentAudit` | `getCommentAudit(com.tibco.n2.ec.api.base.CommentReference ref, com.tibco.n2.ec.api.base.CommentReportOptions options)` Get a Comment Report
    `com.tibco.n2.ec.api.base.ProcessInstanceAudit` | `getProcessInstanceAudit(com.tibco.n2.ec.api.base.ProcessInstanceReference reference, com.tibco.n2.ec.api.base.ProcessInstanceAuditReportOptions options)` Get the audit trail for the references Process Instance
    `com.tibco.n2.ec.api.base.WorkItemAudit` | `getWorkItemAudit(com.tibco.n2.ec.api.base.WorkItemReference reference, com.tibco.n2.ec.api.base.WorkItemAuditReportOptions options)` Get the audit trail for the references WorkItem

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getProcessInstanceAudit

          public com.tibco.n2.ec.api.base.ProcessInstanceAudit getProcessInstanceAudit(com.tibco.n2.ec.api.base.ProcessInstanceReference reference,
                                                                                       com.tibco.n2.ec.api.base.ProcessInstanceAuditReportOptions options)
                                                                                throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                       com.tibco.n2.ec.services.InternalServiceFault,
                                                                                       com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorReportService`
      Get the audit trail for the references Process Instance
      Specified by:
        `getProcessInstanceAudit` in interface `EventCollectorReportService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getCaseAudit

          public com.tibco.n2.ec.api.base.CaseAudit getCaseAudit(com.tibco.n2.ec.api.base.Case cse,
                                                                 com.tibco.n2.ec.api.base.CaseAuditReportOptions options)
                                                          throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                 com.tibco.n2.ec.services.InternalServiceFault,
                                                                 com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorReportService`
      Get the audit trail for the references Case
      Specified by:
        `getCaseAudit` in interface `EventCollectorReportService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getWorkItemAudit

          public com.tibco.n2.ec.api.base.WorkItemAudit getWorkItemAudit(com.tibco.n2.ec.api.base.WorkItemReference reference,
                                                                         com.tibco.n2.ec.api.base.WorkItemAuditReportOptions options)
                                                                  throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                         com.tibco.n2.ec.services.InternalServiceFault,
                                                                         com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorReportService`
      Get the audit trail for the references WorkItem
      Specified by:
        `getWorkItemAudit` in interface `EventCollectorReportService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getChart

          public com.tibco.n2.ec.api.base.ChartResult getChart(com.tibco.n2.ec.api.base.ChartQuery chartQuery,
                                                               com.tibco.n2.ec.api.base.ChartOptions chartOptions)
                                                        throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                               com.tibco.n2.ec.services.InternalServiceFault,
                                                               com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorReportService`
      Get Chart information
      Specified by:
        `getChart` in interface `EventCollectorReportService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getChartData

          public com.tibco.n2.ec.api.base.ChartDataResult getChartData(com.tibco.n2.ec.api.base.ChartDataQuery query,
                                                                       com.tibco.n2.ec.api.base.ChartDataOptions options)
                                                                throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                       com.tibco.n2.ec.services.InternalServiceFault,
                                                                       com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorReportService`
      Get Chart Data information
      Specified by:
        `getChartData` in interface `EventCollectorReportService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getCommentAudit

          public com.tibco.n2.ec.api.base.CommentAudit getCommentAudit(com.tibco.n2.ec.api.base.CommentReference ref,
                                                                       com.tibco.n2.ec.api.base.CommentReportOptions options)
                                                                throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                       com.tibco.n2.ec.services.InternalServiceFault,
                                                                       com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorReportService`
      Get a Comment Report
      Specified by:
        `getCommentAudit` in interface `EventCollectorReportService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.